Last Comment Bug 755609 - Reduce media cache size on B2G
: Reduce media cache size on B2G
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla16
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 755533
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 19:33 PDT by Edwin Flores [:eflores] [:edwin]
Modified: 2012-06-28 01:10 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (972 bytes, patch)
2012-05-15 19:42 PDT, Edwin Flores [:eflores] [:edwin]
cpearce: review+
edwin: checkin+
Details | Diff | Review

Description Edwin Flores [:eflores] [:edwin] 2012-05-15 19:33:53 PDT
Split out from bug 714408
Comment 1 Edwin Flores [:eflores] [:edwin] 2012-05-15 19:42:34 PDT
Created attachment 624283 [details] [diff] [review]
Patch
Comment 2 Edwin Flores [:eflores] [:edwin] 2012-05-15 19:45:25 PDT
Splitting out from main bug 714408 due to regression in bug 755533. Will land this once that's fixed.
Comment 3 cajbir (:cajbir) 2012-06-07 16:04:40 PDT
What's the reasoning behind the 4MB size? That's tiny for what's likely to be mostly YouTube type videos isn't it?
Comment 4 Ed Morley [:emorley] 2012-06-14 05:15:32 PDT
Holding off on checking in, pending comment 3.
Comment 5 Edwin Flores [:eflores] [:edwin] 2012-06-27 08:25:45 PDT
Need this to get B2G playback working at all. Will file a separate bug to increase it to something reasonable (and indeed, figure out what `something reasonable' is).
Comment 6 David Zbarsky (:dzbarsky) 2012-06-27 08:26:35 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/55a0cdf654cf
Comment 7 Doug Sherk (:drs) (inactive) 2012-06-27 09:01:13 PDT
https://hg.mozilla.org/mozilla-central/rev/5b3bf49ce3cf
Comment 8 cajbir (:cajbir) 2012-06-27 14:37:51 PDT
(In reply to Edwin Flores [:eflores] [:edwin] from comment #5)
> Need this to get B2G playback working at all. 

This isn't true though, right? B2G playback works fine on Nexus S and Otoro for example. From what I understand reducing it improved playback on akami rather than "need this to get B2G playback working at all".
Comment 9 Ed Morley [:emorley] 2012-06-28 01:10:02 PDT
https://hg.mozilla.org/mozilla-central/rev/55a0cdf654cf

Note You need to log in before you can comment on or make changes to this bug.